Subject: Re: [bug#75270] [PATCH v3 1/3] services: greetd: Improve greeter configurations.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 09 Jan 2025 23:17:27 +0100

Thank you muradm for simplifying greetd greeters.

muradm <[email-masked]> writes:
> -@item @code{sway-configuration} (default: #f)
> -File-like object providing an additional Sway configuration file to be
> -prepended to the mandatory part of the configuration.
> +@item @code{sway-config} (default: @code{(plain-file "greetd-wlgreet-sway-config" "")})
> +Extra configuration for sway to be included before executing greeter.

Could you retain the name of the existing field sway-configuration?
Using abbreviations is uncommon in Guix, I think, but more importantly
changes would need to go through a deprecation period with a news item
and such, because the Guix API is stable and we have a deprecation
policy.  Also sway-configuration is used in many examples in the Guix
manual.

> +
> +@item @code{wlgreet} (default: @code{wlgreet})
> +The package with the @command{/bin/wlgreet} command.
> +
> +@item @code{wlgreet-config} (default: @code{(greetd-wlgreet-configuration)})
> +Configuration of @code{wlgreet} represented by @code{greetd-wlgreet-configuration}.

For analogy, I would name this wlgreet-configuration.

I have not yet done a full review of your patch; it will take time; I
hope somebody else does.

Regards,
Florian